Bug 695398 (CVE-2011-1168) - CVE-2011-1168 kdelibs: partially universal XSS in Konqueror error pages
Summary: CVE-2011-1168 kdelibs: partially universal XSS in Konqueror error pages
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1168
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 695662 695663
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-11 15:45 UTC by Vincent Danen
Modified: 2019-09-29 12:44 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-06 02:12:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0464 normal SHIPPED_LIVE Moderate: kdelibs security update 2011-04-21 16:57:23 UTC

Description Vincent Danen 2011-04-11 15:45:24 UTC
It was reported [1] that Konqueror in KDE 4.4.0 through to and including 4.6.1 is vulnerable to a partially universal XSS in error pages.  When Konqueror cannot fetch a requested URL, it renders an error page that contains the given URL.  If the URL were to contain JavaScript or HTML code, the code is also rendered which could allow for a user to be tricked into visiting a malicious web site or to provide credentials to an untrusted party.

Patches are available for the 4.4, 4.5, and 4.6 branches, linked to from the upstream security advisory.

[1] http://www.kde.org/info/security/advisory-20110411-1.txt

Comment 1 Vincent Danen 2011-04-11 15:53:17 UTC
This affects Red Hat Enterprise Linux 6 and Fedora.  It does not affect Red Hat Enterprise Linux 5 and earlier.

Comment 2 Tomas Hoger 2011-04-12 10:11:16 UTC
Nth Dimension advisory:
http://www.nth-dimension.org.uk/pub/NDSA20110321.txt.asc

Link to upstream master branch commit:
https://projects.kde.org/projects/kde/kdelibs/repository/revisions/aaa8c42

IDs of the commits in other upstream branches are listed in the upstream advisory, as already pointed out in comment #0.

Comment 5 errata-xmlrpc 2011-04-21 16:57:31 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0464 https://rhn.redhat.com/errata/RHSA-2011-0464.html


Note You need to log in before you can comment on or make changes to this bug.